MTHREAD(1)

NAME
mthread - arrange messages into discussions

SYNOPSIS
mthread [-vpr] [-S msg] [msgs ...]

DESCRIPTION
mthread groups messages together in parent/child relationships, based on which messages are replies to which others. ( See mmsg(7) for the message argument syntax.)

If no messages are specified, mthread will read filenames from the standard input, or use the default sequence if used interactively.

mthread prints the threaded messages separated by newlines and indented according to their depth in the message tree. Unresolved Message-IDs are printed as-is.

The options are as follows:

-v  Do not prune unresolved Message-IDs at the top-level.

-p  With -S, only add parents, not unrelated subthreads.

-r  Sort the top-level threads in reverse order (newest threads first).

-S msg
    Treat msg as optional message(s) that will be added to threads only if they are referenced. Threads where all messages are optional are suppressed. You can use -S to add an outbox folder, for example, completing threads where your replies were missing.

EXIT STATUS

SEE ALSO
mmsg(7)

Message threading: https://www.jwz.org/doc/threading.html

AUTHORS
Leah Neukirchen <leah@vuxu.org>

LICENSE
mthread is in the public domain.

To the extent possible under law, the creator of this work has waived all copyright and related or neighboring rights to this work.

http://creativecommons.org/publicdomain/zero/1.0/